VyOS boot grub timeout in beta image?
Closed, ResolvedPublicFEATURE REQUEST

Description

When I run the VyOS beta image (vyos-999.201709062137-amd64.iso) in VirtualBox, I actively have to click start either live or live failsafe mode.

How can I come around this behavior so it boots automatically after X seconds? /etc/default/grub shows GRUB_TIMEOUT=5

I ran update-grub and copied file to /boot/grub/ after I installed the image on disk, but it hasn't changed anything.

This is a pretty annoying issue, since I suspect this is whats keeping GNS3 to not load the image properly.

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close
This request is:
Service Request
olofl created this task.Sep 7 2017, 9:51 PM
c-po added a subscriber: c-po.Sep 10 2017, 8:05 PM

I guess that you are referring to the installation of VyOS, as a proper installed system will automatically boot up. At least last nights build does.

olofl added a comment.Sep 12 2017, 7:31 AM
In T386#7593, @c-po wrote:

I guess that you are referring to the installation of VyOS, as a proper installed system will automatically boot up. At least last nights build does.

Yes that's correct, I was referring to an uninstalled VyOS. Once the "install image" command was done it would boot through GRUB without interaction.

For my particular problem regarding GNS3, I was able to interact with the machine if I connected with VNC instead of serial. Installed image and then back to serial connection, successful workaround :)

@syncer @dmbaturin @UnicronNL is there any reason to not implement this? I think this should be doable in less then two hours.

we actually need clean up grup config a bit
as it have 2 timers for 5 seconds and it's kind of annoying

c-po added a comment.EditedSep 20 2017, 7:45 PM
cpo@AC1:~$ cat /boot/grub/grub.cfg | grep timeout
set timeout=5

There is just one 5 seconds timeout. The timeout mentioned by @olofl is inside the isolinux bootloader part which is used for the installation media. @olofl thought that it would be GRUB related but infact its isolinux related.

vyos-build/data/live-build-config/includes.binary/isolinux/menu.cfg

From http://www.syslinux.org/wiki/index.php?title=Config#TIMEOUT

TIMEOUT timeout
If more than one label entry is available, this directive indicates how long to wait at the "boot:" prompt until booting automatically, in units of 1/10 s.
The timeout is cancelled as soon as the user types anything on the keyboard; the assumption being that the user will complete the command line already begun.
The timer is reset to timeout upon return from an unsuccessful attempt to boot or from a module. A timeout of zero (the default) will disable the timeout completely.

c-po added a comment.Dec 1 2017, 6:21 PM

Implemented as 10 second timeout in https://github.com/vyos/vyos-build/pull/14

c-po moved this task from Need Triage to In Progress on the VyOS 1.2.x board.Dec 1 2017, 6:45 PM
syncer moved this task from Needs Triage to Finished on the VyOS 1.2.x (VyOS 1.2.0 LTS Lithium) board.
syncer closed this task as Resolved.
syncer claimed this task.

Thanks!
Marking this as solved